import config

if config.PLATFORM == 'raspberry':
    from birbnetes_iot_platform_raspberry import BirbnetesIoTPlatformStatusDriver, BirbnetesIoTPlatformRecordDriver, \
        BirbnetesIoTPlatformPlaybackDriver

elif config.PLATFORM == 'emulator':
    from birbnetes_iot_platform_emulator import BirbnetesIoTPlatformStatusDriver, BirbnetesIoTPlatformRecordDriver, \
        BirbnetesIoTPlatformPlaybackDriver

else:
    raise ModuleNotFoundError(f"Could not load platform driver for {config.PLATFORM}")

__all__ = [
    'BirbnetesIoTPlatformStatusDriver',
    'BirbnetesIoTPlatformRecordDriver',
    'BirbnetesIoTPlatformPlaybackDriver'
]
